Bug 177193 - audio/moc: please include FLAC support by default in package
Summary: audio/moc: please include FLAC support by default in package
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-21 13:50 UTC by Luke
Modified: 2013-11-25 16:20 UTC (History)
0 users

See Also:


Attachments
ports-audio-moc-enable-FLAC-by-default.1.txt (452 bytes, text/plain; charset=UTF-8)
2013-10-08 22:02 UTC, Jean-Sébastien Pédron
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2013-03-21 13:50:00 UTC
Would it be possible to include FLAC support in the binary package by default?
Love this player and it's ability to play mostly any format.
Keep up the good work.
Comment 1 Mark Linimon 2013-03-21 20:27:33 UTC
On Thu, Mar 21, 2013 at 01:44:42PM +0000, Luke wrote:
> Would it be possible to include FLAC support in the binary package by default?

Which package?
Comment 2 Edwin Groothuis freebsd_committer 2013-03-21 21:56:52 UTC
Maintainer of audio/moc,

Please note that PR ports/177193 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/177193

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-03-21 21:56:53 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Mark Linimon 2013-03-21 21:57:28 UTC
----- Forwarded message from Luke K <lukek@rogers.com> -----

Date: Thu, 21 Mar 2013 13:51:04 -0700 (PDT)
From: Luke K <lukek@rogers.com>
To: Mark Linimon <linimon@lonesome.com>
Subject: Re: ports/177193: FLAC support by default in package
X-Mailer: YahooMailWebService/0.8.138.524

How embarrassing, I thought I put the port name in the title.

For the "moc" audio player.

Not a big deal to build this little program from ports and enable FLAC
but just figured FLAC is fairly main stream these days and ought to be
default.

----- End forwarded message -----
Comment 5 Rob Zinkov 2013-03-21 22:08:20 UTC
If there is a patch here, I approve it. Otherwise, give me a few days to
make it so.


On Thu, Mar 21, 2013 at 2:56 PM, Edwin Groothuis <edwin@freebsd.org> wrote:

> Maintainer of audio/moc,
>
> Please note that PR ports/177193 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/177193
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 6 Jean-Sébastien Pédron freebsd_committer 2013-10-08 22:02:20 UTC
Hello,

Here's a patch to help progress on this PR and make the pkgng binary
package immediatly useful.

-- 
Jean-Sébastien Pédron
Comment 7 Philippe Audeoud freebsd_committer 2013-11-25 14:04:38 UTC
Hello,

Do you approve this patch?

Regards,
Comment 8 lukek 2013-11-25 15:54:45 UTC
I do. Thank you.


On Mon, Nov 25, 2013, at 06:04 AM, Philippe Aud=E9oud wrote:
> Hello,
>=20
> Do you approve this patch?
>=20
> Regards,

--=20
http://www.fastmail.fm - Same, same, but different...
Comment 9 dfilter service freebsd_committer 2013-11-25 16:12:00 UTC
Author: jadawin
Date: Mon Nov 25 16:11:53 2013
New Revision: 334860
URL: http://svnweb.freebsd.org/changeset/ports/334860

Log:
  - FLAC support by default
  
  PR:		ports/177193
  Submitted by:	Luke <lukek@rogers.com>
  Approved by:	maintainer

Modified:
  head/audio/moc/Makefile

Modified: head/audio/moc/Makefile
==============================================================================
--- head/audio/moc/Makefile	Mon Nov 25 16:11:05 2013	(r334859)
+++ head/audio/moc/Makefile	Mon Nov 25 16:11:53 2013	(r334860)
@@ -3,7 +3,7 @@
 
 PORTNAME=	moc
 PORTVERSION=	2.4.4
-PORTREVISION=	10
+PORTREVISION=	11
 CATEGORIES=	audio
 MASTER_SITES=	ftp://ftp.daper.net/pub/soft/moc/stable/
 
@@ -22,7 +22,7 @@ CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
 OPTIONS_DEFINE=	JACK MP3 FFMPEG MUSEPACK VORBIS FLAC SNDFILE SPEEX SAMPLERATE CURL RCC
-OPTIONS_DEFAULT=	MP3 VORBIS CURL
+OPTIONS_DEFAULT=	MP3 VORBIS FLAC CURL
 CURL_DESC=	curl support (Internet streams)
 RCC_DESC=	RCC support
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 Philippe Audeoud freebsd_committer 2013-11-25 16:12:22 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!